use api::ws::{KeypadMessageType, Message, WsMessage};
use sea_orm::prelude::Uuid;

mod api;
mod db;
mod context;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    env_logger::init();

    let msg = WsMessage {
        ws_msg_t: 0,
        ws_msg: Message {
            auth: Uuid::new_v4(),
            msg: api::ws::MessageType::Keypad(
                KeypadMessageType::DoorOpenEv { 
                    user: Uuid::new_v4(), 
                    timestamp: 0,
                    door_id: Uuid::new_v4() 
                }
            )
        }
    };
    dbg!(&msg);
    let txt = serde_json::to_string_pretty(&msg)?;
    println!("{txt}");
    return Ok(());

    // TODO: Start db
    
    let mut db = db::Database::new();
    db.connect().await?;
    let ctx = context::AppContext::new(db);
    api::start_api(ctx).await;

    Ok(())
}
